rte_table_action_lb_params(3)

NAME
rte_table_action_lb_params

SYNOPSIS

#include <rte_table_action.h>

  Data Fields

uint32_t out [RTE_TABLE_ACTION_LB_TABLE_SIZE]

Detailed Description

Load balance action parameters (per table rule).

Definition at line 171 of file rte_table_action.h.

Field Documentation

  uint32_t out[RTE_TABLE_ACTION_LB_TABLE_SIZE]
Table defining the output values and their weights. The weights are set in 1/RTE_TABLE_ACTION_LB_TABLE_SIZE increments. To assign a weight of N/RTE_TABLE_ACTION_LB_TABLE_SIZE to a given output value (0 <= N <= RTE_TABLE_ACTION_LB_TABLE_SIZE), the same output value needs to show up exactly N times in this table.

Definition at line 178 of file rte_table_action.h.

Author

Generated automatically by Doxygen for DPDK from the source code.